name: build-docker-imge
on:
  - push
  - pull_request

jobs:
  build:
    name: Build the docker container
    runs-on: ubuntu-latest
    steps:
      - name: "Git clone"
        run: git clone ${{ gitea.server_url }}/${{ gitea.repository }}.git .
      - name: "LS"
        run: ls -lisa
      - name: "LS ECHO"
        run: echo "$(ls)" "${{ gitea.repository }}" "${{ gitea.ref_name }}" "${{ gitea.sha }}"
      - name: "Git checkout"
        run: git checkout "${{ gitea.sha }}"
      - uses: aevea/action-kaniko@master
        name: Run Kaniko to build our docker container.
        with:
          image: kocoder/nachhilfesystem24
          tag: ${{ gitea.workflow_sha }}
          tag_with_latest: true
          registry: git.kocoder.xyz
          username: ${{ secrets.CI_RUNNER_USER }}
          password: ${{ secrets.CI_RUNNER_TOKEN }}
          build_file: Dockerfile
